/**
 * @author Brian Schoudel
 */

package edu.uiuc.webcoord;

public class WEOption extends WebElement{
	private String optionText;
	private String optionValue;
		
	public WEOption(String _xCoord, String _yCoord, String _optionText, String _optionValue) {	
		super(_xCoord, _yCoord);
		
		setOptionText(_optionText);
		setOptionValue(_optionValue);
	}

	/**
	 * @param name The name to set.
	 */
	public void setOptionText(String optionText) {
		this.optionText = optionText;
	}

	/**
	 * @return Returns the option text.
	 */
	public String getOptionText() {
		return optionText;
	}
	
	/**
	 * @param name The name to set.
	 */
	public void setOptionValue(String optionValue) {
		this.optionValue = optionValue;
	}

	/**
	 * @return Returns the option value.
	 */
	public String getOptionValue() {
		return optionValue;
	}
	
}